@if ($authenticatedUser(); as user) {
  <div
    class="full-width full-height flex-column overflow-hidden admin-workspace-grid-container"
  >
    <div class="flex-fixed-size flex-row">
      <span class="admin-workspace-secondary-title m-l-50">
        {{ 'sqtm-core.generic.label.profiles' | translate }}
      </span>
      @if (user.admin) {
        <div class="flex-fixed-size flex-row admin-workspace-grid-toolbar">
          <div style="flex-grow: 1"></div>
          <div
            class="flex-fixed-size"
            [attr.data-test-toolbar-id]="'profile-toolbar'"
          >
            <i
              nz-icon
              nz-dropdown
              nzType="sqtm-core-generic:add"
              nzTheme="outline"
              class="current-workspace-button action-icon-size"
              nz-tooltip
              [nzTooltipTitle]="'sqtm-core.generic.label.add' | translate"
              [attr.data-test-toolbar-button-id]="'create-button'"
              (click)="openCustomProfileCreationDialog()"
            >
            </i>
          </div>
        </div>
      }
    </div>
    <div class="flex-row full-width full-height">
      <sqtm-app-profile-workspace-anchors></sqtm-app-profile-workspace-anchors>
      <div
        class="flex-column full-height full-width overflow-hidden sqtm-large-grid-container p-10 m-l-10"
      >
        <sqtm-core-text-research-field
          [attr.data-test-element-id]="'profile-filter-field'"
          (newResearchValue)="filterProfiles($event)"
          class="sqtm-core-multi-research-field"
        >
        </sqtm-core-text-research-field>
        <sqtm-core-grid class="full-height"></sqtm-core-grid>
      </div>
    </div>
  </div>
}
